In Liberty 2.0 and in gLiberty 0.7 I am having lots of problems with applications from the Amazon Appstore. After restarting all the apps from the Amazon Appstore throw an error upon launch that states:

"Amazon Appstore: unknown error.. An error occurred. Please download this app again from the Amazon Appstore"

After hitting "ok" on the popup the program closes. I have turned off zipalign apk's on boot as suggested by members of other forums. I have also gone into my Amazon account and made sure there was only one authorized device, and I have called the Amazon tech support and nothing has solved the problem thus far. Does anyone have any suggestions?

TLDR: Apps from Amazon Appstore are unusable in Liberty, please help.